> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 워크스페이스 목록 조회

> 공개 API 주체에게 표시되는 워크스페이스를 나열합니다.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ko.json GET /v1/public/accounts/{account_id}/workspaces
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/workspaces:
    get:
      tags:
        - public-accounts
        - public-workspaces
      summary: 워크스페이스 목록 조회
      description: 공개 API 주체에게 표시되는 워크스페이스를 나열합니다.
      operationId: list_public_workspaces_v1_public_accounts__account_id__workspaces_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - PublicBearerAuth: []
components:
  schemas:
    WorkspaceListResponse:
      properties:
        items:
          description: 이 페이지의 작업공간
          items:
            $ref: '#/components/schemas/WorkspaceResponse'
          title: 항목
          type: array
        page:
          description: 현재 1기반 페이지 번호
          title: 페이지
          type: integer
        page_size:
          description: 페이지당 최대 항목
          title: 페이지 크기
          type: integer
        total:
          description: 총 일치 작업 공간
          title: 합계
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: WorkspaceListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 세부 정보
          type: array
      title: HTTP검증 오류
      type: object
    WorkspaceResponse:
      properties:
        account_id:
          description: 워크스페이스를 소유한 계정 UUID
          format: uuid
          title: 계정 Id
          type: string
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: 작업공간 생성 타임스탬프
          title: 생성일
        id:
          description: 워크스페이스 UUID
          format: uuid
          title: ID
          type: string
        name:
          description: 작업공간 표시 이름
          title: 이름
          type: string
        status:
          default: active
          description: 작업공간 수명주기 상태
          title: 상태
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Workspace 최종 업데이트 타임스탬프
          title: 업데이트일
      required:
        - id
        - name
        - account_id
      title: WorkspaceResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 위치
          type: array
        msg:
          title: 메시지
          type: string
        type:
          title: 오류 유형
          type: string
      required:
        - loc
        - msg
        - type
      title: 검증 오류
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````